package rd.data.db;

import lombok.Data;

@Data
public class CourseScheduleSelectionInfo {
    /**
     * 学生id
     */
    private Long uid;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 学生姓名
     */
    private String name;

    /**
     * 专业id
     */
    private Long major;

    /**
     * 年级,使用大x表示,如大二：2
     */
    private Integer grade;

    /**
     * 班级
     */
    private String clazz;

    /**
     * 课堂id
     */
    private Long schedule;

    /**
     * 课程id
     */
    private Long course;

    /**
     * 开始周
     */
    private Integer startWeek;

    /**
     * 结束周
     */
    private Integer endWeek;

    /**
     * 节次时间,即第几节课
     */
    private Integer time;

    /**
     * 节次时间,即第几节课
     */
    private Integer weekday;

    /**
     * 学年学期,格式如2023-2024
     */
    private String academicTerm;

    /**
     * 上课地点
     */
    private String place;
}
