package rd.data.db.table;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.ibatis.type.ArrayTypeHandler;
import org.apache.ibatis.type.JdbcType;

import java.time.LocalDateTime;

@Data
@TableName(autoResultMap = true)
public class ActivityTarget {
    /**
     * id
     */
    private Long id;

    /**
     * activity
     */
    private Long activity;

    /**
     * grade
     */
    private Integer grade;

    /**
     * major
     */
    private Long major;

    /**
     * course
     */
    @TableField(jdbcType = JdbcType.ARRAY, typeHandler = ArrayTypeHandler.class)
    private Long[] courseList;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * deleted
     */
    private Boolean deleted;
}
