package rd.data.db.table;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CourseSelection implements Serializable {
    /**
     * 选课记录id
     */
    private Long id;

    /**
     * 学生id
     */
    private Long student;

    /**
     * 课堂id
     */
    private Long schedule;

    /**
     * 课堂id
     */
    private Long activity;

    /**
     * 学期
     */
    private String term;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;

    public CourseSelection() {
    }
}
