package rd.data.db.table;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @param id         成绩id
 * @param student    学生id
 * @param experiment 实验项目id
 * @param score      实验分
 * @param createTime create_time
 * @param editTime   edit_time
 * @param deleted     delete
 */
public record ExperimentScore(Long id, Long student, Long experiment, Float score, LocalDateTime createTime,
                              LocalDateTime editTime, Boolean deleted) implements Serializable {
}
