package rd.data.dto.course;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CourseDTO {
    private Long id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;

    /**
     * 考试成绩占比
     */
    private Float examRatio;

    /**
     * 平时分组成描述
     */
    private Map<String, Float> distribution;
}
