package rd.data.dto.schedule;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CourseScheduleDTO {
    private Long id;

    /**
     * 课程id
     */
    private Long course;

    /**
     * 开始周
     */
    private int startWeek;

    /**
     * 结束周
     */
    private int endWeek;

    /**
     * 节次时间,即第几节课
     */
    private int time;

    /**
     * 节次时间,即第几节课
     */
    private int weekday;

    /**
     * 学年学期,格式如2023-2024
     */
    private String academicTerm;

    /**
     * 上课地点
     */
    private String place;
}
