package rd.data.model.response.course;

import lombok.Data;

/**
 * 待选课程响应
 */
@Data
public class CandidateCourseResponse {
    /**
     * 课程id
     */
    private Long id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private String courseHours;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;
}
