package rd.data;

import java.time.format.DateTimeFormatter;

public class Constants {
    public static class DateTime {
        public static final DateTimeFormatter DEFAULT_DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        public static final DateTimeFormatter DEFAULT_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        public static final DateTimeFormatter DEFAULT_TIME_FORMATTER = DateTimeFormatter.ofPattern("HH:mm:ss");
    }

    public static class Redis {
        public static final String WusthelperTokenCacheKey = "rd:cache:wusthelper:token:%s";
    }

    public static class Wusthelper {
        public static final String UndergradLogin = "/jwc/login";
        public static final String UndergradStuInfo = "/jwc/get-student-info";
    }
}
