package rd.data.db.table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CourseTeacher implements Serializable {

    /**
     * 教师id
     */
    @TableId(type = IdType.INPUT)
    private Long teacher;

    /**
     * 课程id
     */
    private Long course;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * deleted
     */
    private Boolean deleted;

    public CourseTeacher() {
    }
}
