package rd.data.db.table;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Score implements Serializable {
    private Long id;

    private Long student;

    private Long course;

    private String term;

    private Float usualScore;

    private Float examScore;

    private Float examRatio;

    private LocalDateTime createTime;

    private LocalDateTime editTime;

    private Boolean deleted;
}
