package rd.data.db.table;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class UserBasic implements Serializable {
    /**
     * 用户uuid
     */
    private Long id;

    /**
     * 用户名,登陆用
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 用户类型
     */
    private Short type;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;

    private String oid;

    private Short status;

    public UserBasic() {
    }
}
