package rd.data.model.response.course;

import lombok.Builder;
import lombok.Data;

/**
 * 课程信息响应
 */
@Data
@Builder
public class CourseResponse {
    /**
     * 课程id
     */
    private Long id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private int courseHours;

    /**
     * 春季期课程
     */
    private String term;
}
