package rd.data.model.response.user;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Data;
import rd.data.enums.UserType;

@Data
@Builder
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserBasicInfo {
    private Long id;
    private String username;
    private UserType userType;
}
