package rd.service.schedule;

import rd.dao.mapper.course.CourseTeacherMapper;
import rd.data.db.CourseScheduleWithCourseIdName;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TeacherCourseScheduleService {
    private final CourseTeacherMapper courseTeacherMapper;

    public TeacherCourseScheduleService(CourseTeacherMapper courseTeacherMapper) {

        this.courseTeacherMapper = courseTeacherMapper;
    }

    public List<CourseScheduleWithCourseIdName> getTeacherSchedule(Long uid, String term) {
        return courseTeacherMapper.getAllCourseScheduleForTeacher(uid, term);
    }

}
